platform :ios do
  desc "Upload an existing build upload to TestFlight"
  lane :ios_components_release_to_testflight do
    # Login to App Store Connect in order to perform actions later
    # in this process. Configuration provided by environment variables added
    # by the GitLab Apple Apps Store integration 
    # https://docs.gitlab.com/ee/user/project/integrations/apple_app_store.html
    # https://docs.fastlane.tools/actions/app_store_connect_api_key/
    app_store_connect_api_key(
      is_key_content_base64: true
    )

    # Upload the newly created build to Test Flight using the App Store Connect
    # API key above, and the app configuration in the Appfile
    # https://docs.fastlane.tools/actions/upload_to_testflight/
    upload_to_testflight(
      ipa: "<%= ipa_file %>",
      app_identifier: "<%= app_identifier %>"
    )
  end
end
